package org.eclipse.jdt.internal.junit.ui;

import java.lang.reflect.Method;

import junit.extensions.eclipse.diff.JUnitDiffPlugin;

class TestRunViewBroadcaster extends TestIdSelectionBroadcaster {

    public TestRunViewBroadcaster(Object testRunView, Class klass, String controlName) {
        super(testRunView, klass, controlName);
    }

    protected String getSelectedTestId() {
        return getSelectedTestId(view);
    }

    static String getSelectedTestId(Object testRunView) {
        if (testRunView == null) {
            return null;
        }
        try {
            Method m =
                ITestRunView.class.getMethod("getSelectedTestId", new Class[0]);
            m.setAccessible(true);
            return (String) m.invoke(testRunView, new Object[0]);
        } catch (Exception e) {
            String message = "method ITestRunView.getSelectedTestId not found.";
            JUnitDiffPlugin.getDefault().logSystemErrorMessage(message, TestRunViewBroadcaster.class); 
            return null;
        }
    }
}
